baseurl: /
highlighter: rouge
markdown: CommonMarkGhPages
encoding: UTF-8
theme: jekyll-theme-minimal
repository: PHPCSStandards/PHPCSUtils
url: "https://phpcsutils.com"

plugins:
  - "jekyll-github-metadata"
  - "jemoji"
  - "jekyll-mentions"
  - "jekyll-seo-tag"
  - "jekyll-sitemap"

phpcsutils:
  packagist: phpcsstandards/phpcsutils
  open_collective: php_codesniffer

# Theme info.
title: PHPCSUtils
description: "A suite of utility functions for use with PHP_CodeSniffer."
logo:
show_downloads: false
google_analytics:

# SEO info.
tagline: "PHPCSUtils: A suite of utility functions for use with PHP_CodeSniffer."
twitter:
  username: PHP_CodeSniffer
  card: summary
  hashtags: PHPCSUtils
mastodon:
  username: "@phpcs@phpc.social"
author:
  twitter: PHP_CodeSniffer

# Needed so the select HTML tags do not get removed *sigh*
commonmark:
  options: ["SMART", "FOOTNOTES", "UNSAFE"]
  extensions: ["strikethrough", "autolink", "table"]

# Files to exclude when generating the site.
exclude:
  - .sass-cache/
  - .jekyll-cache/
  - gemfiles/
  - Gemfile
  - Gemfile.lock
  - node_modules/
  - vendor/bundle/
  - vendor/cache/
  - vendor/gems/
  - vendor/ruby/
  - CNAME
  - CONTRIBUTING.md
  - LICENSE
  - README.md
  - .gitignore
  - .jekyll-metadata
  - '*.bak'
  - '*.orig'
  - runit.bat
